Bug 67504 - Wacom Tablet module working unnormally
Wacom Tablet module working unnormally
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 10:30 EDT by Chevalier Chen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chevalier Chen 2002-06-26 10:30:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Wacom Tablet module (wacom.o) working fine in kernel 2.4.18, 2.4.18-3,
2.4.18-4.
When I use it from 2.4.18-5, I can only CLICK in X Window System, but
can not MOVE the cursor by wacom's stylus.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Connect your wacom tablet before starting the host.
2.Insmod wacom after booting procedure complete.
3.Enter X Window System, move the stylus over wacom tablet, you can
  find the cursor on screen won't move, but you can still do click
  action.
	

Additional info:
Comment 1 Ashley Gittins 2002-11-21 00:28:37 EST
I had the same problem on 2.4.18-17 with RedHat 8.0. 
The following patch to the wacom driver appears to have fixed it for me at 
least (sorry if i am meant to quote / attach this stuff): 
------------------------------ 
diff -ur linuX/drivers/usb/wacom.c linux/drivers/usb/wacom.c 
--- linuX/drivers/usb/wacom.c   2002-11-21 12:45:32.000000000 -1000 
+++ linux/drivers/usb/wacom.c   2002-11-21 12:49:15.000000000 -1000 
@@ -165,8 +165,8 @@ 
 
        input_report_key(dev, BTN_TOOL_PEN, 1); 
 
-       input_report_abs(dev, ABS_X, x); 
-       input_report_abs(dev, ABS_Y, y); 
+       input_report_abs(dev, ABS_X, wacom->x = x); 
+       input_report_abs(dev, ABS_Y, wacom->y = y); 
        input_report_abs(dev, ABS_PRESSURE, pressure+127); 
        input_report_key(dev, BTN_LEFT, leftmb); 
        input_report_key(dev, BTN_RIGHT, (data[5] & 0x40)); 
@@ -288,8 +288,8 @@ 
        x = ((__u32)data[2] << 8) | data[3]; 
        y = ((__u32)data[4] << 8) | data[5]; 
 
-       input_report_abs(dev, ABS_X, wacom->x); 
-       input_report_abs(dev, ABS_Y, wacom->y); 
+       input_report_abs(dev, ABS_X, wacom->x = x); 
+       input_report_abs(dev, ABS_Y, wacom->y = y); 
        input_report_abs(dev, ABS_DISTANCE, data[9] >> 4); 
 
        if ((data[1] & 0xb8) == 0xa0) {                                         
/* general pen packet */ 
 
------------------------------
Comment 2 Bugzilla owner 2004-09-30 11:39:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.